# -*- rpm-spec -*-

# to allow compiling the package on Fedora
%define _default_patch_fuzz 2

#
# On RHEL-5 only Xen and QEmu are supported hypervisor
#
%define with_xen           1
%define with_xen_proxy     1
%define with_qemu          1
%define with_openvz        0
%define with_lxc           0
%define with_vbox          0
%define with_sasl          1
%define with_avahi         1
%define with_polkit        0
%define with_python        1
%define with_libvirtd      1
%define with_uml           0
%define with_network       1
%define with_rhel5         1
%define with_storage_fs    1
%define with_storage_lvm   1
%define with_storage_iscsi 1
%define with_storage_disk  1
%define with_numactl       1



# Xen is available only on i386 x86_64 ia64
%ifnarch i386 i586 i686 x86_64 ia64
%define with_xen 0
%endif

%if ! %{with_xen}
%define with_xen_proxy 0
%endif

ExclusiveArch: i386 x86_64 ia64

Summary: Library providing a simple API virtualization
Name: libvirt
Version: 0.6.3
Release: 33%{?dist}.1
License: LGPLv2+
Group: Development/Libraries
Source: libvirt-%{version}.tar.gz
Patch1: libvirt-rhel-daemon.patch
#
# Upstream patches after 0.6.3 release
#
Patch100: libvirt-0.6.3-event1.patch
Patch101: libvirt-0.6.3-event2.patch
Patch102: libvirt-0.6.3-xml-attr-escape.patch
Patch103: libvirt-0.6.3-qemu-help-size.patch
Patch104: libvirt-0.6.3-hash-unref.patch
Patch105: libvirt-0.6.3-uuid-name-uniqueness.patch
Patch106: libvirt-0.6.3-qemu-save-migr.patch
Patch107: libvirt-0.6.3-qemu-capabilities-refresh.patch
Patch108: libvirt-0.6.3-bogus-pid-files.patch
Patch109: libvirt-0.6.3-migrate-unlock.patch
Patch110: libvirt-0.6.3-node-device-npiv.patch
Patch111: libvirt-0.6.3-daemon-double-free.patch
Patch112: libvirt-0.6.3-network-autostart.patch
Patch113: libvirt-0.6.3-xm-detach-mem.patch
Patch114: libvirt-0.6.3-hostdev-managed.patch
Patch115: libvirt-0.6.3-kvm-libexec.patch
Patch116: libvirt-0.6.3-tls-auth.patch
Patch117: libvirt-0.6.3-kvm-libexec2.patch
Patch118: libvirt-0.6.3-xen-device-ops.patch
Patch119: libvirt-0.6.3-xm-detach-count.patch
Patch120: libvirt-0.6.3-security-model.patch
Patch121: libvirt-0.6.3-hal-old-kernel.patch
Patch122: libvirt-0.6.3-npiv-bogus-wwn.patch
Patch123: libvirt-0.6.3-scsi-conf-leak.patch
Patch124: libvirt-0.6.3-get-wwns-free.patch
Patch125: libvirt-0.6.3-wrong-pool.patch
Patch126: libvirt-0.6.3-nodedumpxml-infinite-loop.patch
Patch127: libvirt-0.6.3-security-error-report.patch
Patch128: libvirt-0.6.3-disk-hotplug.patch
Patch129: libvirt-0.6.3-pci-fail-free.patch
Patch130: libvirt-0.6.3-pci-reset.patch
Patch131: libvirt-0.6.3-lose-redefined-dom.patch
Patch132: libvirt-0.6.3-inotify-refresh.patch
Patch133: libvirt-0.6.3-no-kvm-pit.patch

# Patches for 5.5
Patch200: libvirt-0.6.3-xm-uuid-check.patch
Patch201: libvirt-0.6.3-qemu-hugepages.patch
Patch202: libvirt-0.6.3-disk-ordering.patch
Patch203: libvirt-0.6.3-conf-itf-dev.patch
Patch204: libvirt-0.6.3-max-dhcp-leases.patch
Patch205: libvirt-0.6.3-man-asynch-ops.patch
Patch206: libvirt-0.6.3-vcpu-use-report.patch
Patch207: libvirt-0.6.3-schemas-domain-tty.patch
Patch208: libvirt-0.6.3-xen-credit-cap.patch
Patch209: libvirt-0.6.3-enable_all_bridges.patch
Patch210: libvirt-0.6.3-pci-reattach.patch
Patch211: libvirt-0.6.3-pci-reset-mutifunc.patch
Patch212: libvirt-0.6.3-pci-dev-hotplug-prep.patch
Patch213: libvirt-0.6.3-host-pci-hotplug.patch
Patch214: libvirt-0.6.3-xen-netfront-itf.patch
Patch215: libvirt-0.6.3-qemu-dump.patch
Patch216: libvirt-0.6.3-pci-reset-unused.patch
Patch217: libvirt-0.6.3-migration-state.patch
Patch218: libvirt-0.6.3-virsh-vol-key.patch
Patch219: libvirt-0.6.3-python-name-generator.patch
Patch220: libvirt-0.6.3-nodedev-destroy-unlock.patch
Patch221: libvirt-0.6.3-npiv-create-errors.patch
Patch222: libvirt-0.6.3-sriov_relationships.patch
Patch223: libvirt-0.6.3-virsh-vol-path.patch
Patch224: libvirt-0.6.3-pool-delete.patch
Patch225: libvirt-0.6.3-xen-vtd-hotplug.patch
Patch226: libvirt-0.6.3-inactive-kvm-mem.patch
Patch227: libvirt-0.6.3-nodedev-attach-nomem.patch
Patch228: libvirt-0.6.3-findpool-error-reporting.patch
Patch229: libvirt-0.6.3-do-not-raise-normal-errors.patch
Patch230: libvirt-0.6.3-report-no-support.patch
Patch231: libvirt-0.6.3-tap-naming.patch
Patch232: libvirt-0.6.3-gcrypt_threading_init.patch
Patch233: libvirt-0.6.3-acs-pci.patch
Patch234: libvirt-0.6.3-vol-create.patch
Patch235: libvirt-0.6.3-pci-reset-check.patch
# Fix ACS with root devices (rhbz 526713)
Patch236: libvirt-0.6.3-acs-pci-root.patch
# Fix PCI device re-assignment (rhbz 500217)
Patch237: libvirt-0.6.3-pci-reassign.patch
# Fix a race between KVM and libvirt (rhbz 500217)
Patch238: libvirt-0.6.3-pci-reattach-kvm-race.patch
# Fix state bug in libvirtd (rhbz 500217)
Patch239: libvirt-0.6.3-conf-save-state.patch
# Set machine type to "rhel5.4.0" by default (rhbz 542665)
Patch240: libvirt-0.6.3-qemu-machine-type.patch
# Correct erroneous expression in pciDeviceDownstreamLacksACS (rhbz 526713)
Patch241: libvirt-0.6.3-acs-pci-typo.patch
# Make numa errors non-fatal (rhbz 559755)
Patch242: libvirt-0.6.3-numa-non-fatal-errors.patch
# Create raw storage files with O_DSYNC (rhbz 563151)
Patch243: libvirt-0.6.3-preallocate-O_DSYNC.patch
# Increase qemu guest startup timeout to 30 seconds (rhbz 563151)
Patch244: libvirt-0.6.3-qemu-startup-timeout.patch
# Call fsync() at the end instead of opening it with O_DSYNC (rhbz 563151)
Patch245: libvirt-0.6.3-preallocate-fsync.patch

## 5.5.z
# Set CPU affinity across whole QEMU process (rhbz 599570)
Patch246: libvirt-0.6.3-qemu-cpu-affinity.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
URL: http://libvirt.org/
BuildRequires: python python-devel
Requires: libxml2
Requires: readline
Requires: ncurses
Requires: dnsmasq
Requires: bridge-utils
Requires: iptables
# needed for device enumeration
Requires: hal
# So remote clients can access libvirt over SSH tunnel
# (client invokes 'nc' against the UNIX socket on the server)
Requires: nc
%if %{with_sasl}
Requires: cyrus-sasl
# Not technically required, but makes 'out-of-box' config
# work correctly & doesn't have onerous dependencies
Requires: cyrus-sasl-md5
%endif
%if %{with_polkit}
Requires: PolicyKit >= 0.6
%endif
%if %{with_storage_fs}
# For mount/umount in FS driver
BuildRequires: util-linux
# For showmount in FS driver (netfs discovery)
BuildRequires: nfs-utils
Requires: nfs-utils
%endif

%if %{with_qemu}
# conflict with kvm older than 83-142 which is the first one
# supporting rhel5.4.0 machine type
Conflicts: kvm <= 83-141

# From kvm-qemu-img rpm present only on x86_64
%ifarch x86_64
Requires: /usr/bin/qemu-img
#
# on other arches don't drag xen as a full dependancy
#
#%else
#%if %{with_xen}
## From Xen RPMs
#Requires: /usr/sbin/qcow-create
#%endif
#%else
#%if %{with_xen}
# From Xen RPMs
#Requires: /usr/sbin/qcow-create
%endif
%endif

%if %{with_storage_lvm}
# For LVM drivers
Requires: lvm2
%endif
%if %{with_storage_iscsi}
# For ISCSI driver
Requires: iscsi-initiator-utils
%endif
%if %{with_storage_disk}
# For disk driver
Requires: parted
%endif
%if %{with_xen}
BuildRequires: xen-devel
%endif
BuildRequires: libxml2-devel
BuildRequires: xhtml1-dtds
BuildRequires: readline-devel
BuildRequires: ncurses-devel
BuildRequires: gettext
BuildRequires: gnutls-devel
BuildRequires: hal-devel
%if %{with_avahi}
BuildRequires: avahi-devel
%endif
BuildRequires: libselinux-devel
BuildRequires: dnsmasq
BuildRequires: bridge-utils
#%if %{with_qemu}
#BuildRequires: qemu
#%endif
%if %{with_sasl}
BuildRequires: cyrus-sasl-devel
%endif
%if %{with_polkit}
BuildRequires: PolicyKit-devel >= 0.6
%endif
%if %{with_storage_fs}
# For mount/umount in FS driver
BuildRequires: util-linux
%endif

%if %{with_qemu}
# From kvm-qemu-img rpm present only on x86_64
%ifarch x86_64
BuildRequires: /usr/bin/qemu-img
%else
%if %{with_xen}
# From Xen RPMs
BuildRequires: /usr/sbin/qcow-create
%endif
%endif
%else
%if %{with_xen}
# From Xen RPMs
BuildRequires: /usr/sbin/qcow-create
%endif
%endif

%if %{with_storage_lvm}
# For LVM drivers
BuildRequires: lvm2
%endif
%if %{with_storage_iscsi}
# For ISCSI driver
BuildRequires: iscsi-initiator-utils
%endif
%if %{with_storage_disk}
# For disk driver
BuildRequires: parted-devel
%endif
%if %{with_numactl}
# For QEMU/LXC numa info
BuildRequires: numactl-devel
%endif

Obsoletes: libvir
Provides: libvir = %{version}-%{release}

BuildRequires: gawk

# RHEL-5 needs this
BuildRequires: e2fsprogs-devel

%description
Libvirt is a C toolkit to interact with the virtualization capabilities
of recent versions of Linux (and other OSes).

%package devel
Summary: Libraries, includes, etc. to compile with the libvirt library
Group: Development/Libraries
Requires: libvirt = %{version}-%{release}
Requires: pkgconfig
%if %{with_xen}
Requires: xen-devel
%endif
Obsoletes: libvir-devel
Provides: libvir-devel = %{version}-%{release}

%description devel
Includes and documentations for the C library providing an API to use
the virtualization capabilities of recent versions of Linux (and other OSes).

%package python
Summary: Python bindings for the libvirt library
Group: Development/Libraries
Requires: libvirt = %{version}-%{release}
Obsoletes: libvir-python
Provides: libvir-python = %{version}-%{release}

%description python
The libvirt-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libvirt library to use the virtualization capabilities
of recent versions of Linux (and other OSes).

%prep
%setup -q
%patch1 -p1
%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1
%patch109 -p0
%patch110 -p1
%patch111 -p1
%patch112 -p0
%patch113 -p1
%patch114 -p0
%patch115 -p1
%patch116 -p1
%patch117 -p1
%patch118 -p1
%patch119 -p1
%patch120 -p0
%patch121 -p1
%patch122 -p0
%patch123 -p1
%patch124 -p0
%patch125 -p1
%patch126 -p1
%patch127 -p1
%patch128 -p1
%patch129 -p1
%patch130 -p0
%patch131 -p1
%patch132 -p1
%patch133 -p1

%patch200 -p0
%patch201 -p0
%patch202 -p0
%patch203 -p0
%patch204 -p1
%patch205 -p0
%patch206 -p1
%patch207 -p0
%patch208 -p0
%patch209 -p1
%patch210 -p1
%patch211 -p1
%patch212 -p1
%patch213 -p1
%patch214 -p1
%patch215 -p1
%patch216 -p1
%patch217 -p1
%patch218 -p1
%patch219 -p0
%patch220 -p1
%patch221 -p1
%patch222 -p1
%patch223 -p1
%patch224 -p1
%patch225 -p1
%patch226 -p1
%patch227 -p1
%patch228 -p1
%patch229 -p1
%patch230 -p0
%patch231 -p1
%patch232 -p0
%patch233 -p1
%patch234 -p1
%patch235 -p1
%patch236 -p1
%patch237 -p1
%patch238 -p1
%patch239 -p1
%patch240 -p1
%patch241 -p1
%patch242 -p1
%patch243 -p1
%patch244 -p1
%patch245 -p1

%patch246 -p1

%build
%if ! %{with_xen}
%define _without_xen --without-xen
%endif

%if ! %{with_qemu}
%define _without_qemu --without-qemu
%endif

%if ! %{with_openvz}
%define _without_openvz --without-openvz
%endif

%if ! %{with_lxc}
%define _without_lxc --without-lxc
%endif

%if ! %{with_vbox}
%define _without_vbox --without-vbox
%endif

%if ! %{with_sasl}
%define _without_sasl --without-sasl
%endif

%if ! %{with_avahi}
%define _without_avahi --without-avahi
%endif

%if ! %{with_polkit}
%define _without_polkit --without-polkit
%endif

%if ! %{with_python}
%define _without_python --without-python
%endif

%if ! %{with_libvirtd}
%define _without_libvirtd --without-libvirtd
%endif

%if ! %{with_uml}
%define _without_uml --without-uml
%endif

%if %{with_rhel5}
%define _with_rhel5_api --with-rhel5-api
%endif

%if ! %{with_network}
%define _without_network --without-network
%endif

%if ! %{with_storage_fs}
%define _without_storage_fs --without-storage-fs
%endif

%if ! %{with_storage_lvm}
%define _without_storage_lvm --without-storage-lvm
%endif

%if ! %{with_storage_iscsi}
%define _without_storage_iscsi --without-storage-iscsi
%endif

%if ! %{with_storage_disk}
%define _without_storage_disk --without-storage-disk
%endif

%if ! %{with_numactl}
%define _without_numactl --without-numactl
%endif

%configure %{?_without_xen} \
           %{?_without_qemu} \
           %{?_without_openvz} \
           %{?_without_lxc} \
           %{?_without_vbox} \
           %{?_without_sasl} \
           %{?_without_avahi} \
           %{?_without_polkit} \
           %{?_without_python} \
           %{?_without_libvirtd} \
           %{?_without_uml} \
           %{?_without_network} \
           %{?_with_rhel5_api} \
           %{?_without_storage_fs} \
           %{?_without_storage_lvm} \
           %{?_without_storage_iscsi} \
           %{?_without_storage_disk} \
           %{?_without_numactl} \
           --with-init-script=redhat \
           --with-qemud-pid-file=%{_localstatedir}/run/libvirt_qemud.pid \
           --with-remote-file=%{_localstatedir}/run/libvirtd.pid
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

%makeinstall
(cd docs/examples ; make clean ; rm -rf .deps Makefile Makefile.in)
(cd docs/examples/python ; rm -rf .deps Makefile Makefile.in)
(cd examples/hellolibvirt ; make clean ; rm -rf .deps .libs Makefile Makefile.in)
(cd examples/domain-events/events-c ;  make clean ;rm -rf .deps .libs Makefile Makefile.in)

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/python*/site-packages/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/python*/site-packages/*.a
install -d -m 0755 $RPM_BUILD_ROOT%{_localstatedir}/run/libvirt/
# Default dir for disk images defined in SELinux policy
install -d -m 0755 $RPM_BUILD_ROOT%{_localstatedir}/lib/libvirt/images/
# Default dir for kernel+initrd images defined in SELinux policy
install -d -m 0755 $RPM_BUILD_ROOT%{_localstatedir}/lib/libvirt/boot/
# used for virDomainMemoryPeek
install -d -m 0700 $RPM_BUILD_ROOT%{_localstatedir}/cache/libvirt/

%if %{with_qemu}
# We don't want to install /etc/libvirt/qemu/networks in the main %files list
# because if the admin wants to delete the default network completely, we don't
# want to end up re-incarnating it on every RPM upgrade.
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/libvirt/networks/
cp $RPM_BUILD_ROOT%{_sysconfdir}/libvirt/qemu/networks/default.xml \
   $RPM_BUILD_ROOT%{_datadir}/libvirt/networks/default.xml
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/libvirt/qemu/networks/default.xml
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/libvirt/qemu/networks/autostart/default.xml
# Strip auto-generated UUID - we need it generated per-install
sed -i -e "/<uuid>/d" $RPM_BUILD_ROOT%{_datadir}/libvirt/networks/default.xml
%else
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/libvirt/qemu/networks/default.xml
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/libvirt/qemu/networks/autostart/default.xml
rm -f $RPM_BUILD_ROOT%{_datadir}/augeas/lenses/libvirtd_qemu.aug
rm -f $RPM_BUILD_ROOT%{_datadir}/augeas/lenses/tests/test_libvirtd_qemu.aug
%endif
%find_lang %{name}

%if ! %{with_python}
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/libvirt-python-%{version}
%endif

%if ! %{with_qemu}
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/libvirt/qemu.conf
%endif

%if %{with_libvirtd}
chmod 0644 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/libvirtd
%endif

%clean
rm -fr %{buildroot}

%post
/sbin/ldconfig

%if %{with_libvirtd}
%if %{with_qemu}
# We want to install the default network for initial RPM installs
# or on the first upgrade from a non-network aware libvirt only.
# We check this by looking to see if the daemon is already installed
/sbin/chkconfig --list libvirtd 1>/dev/null 2>&1
if [ $? != 0 -a ! -f %{_sysconfdir}/libvirt/qemu/networks/default.xml ]
then
    UUID=`/usr/bin/uuidgen`
    sed -e "s,</name>,</name>\n  <uuid>$UUID</uuid>," \
         < %{_datadir}/libvirt/networks/default.xml \
         > %{_sysconfdir}/libvirt/qemu/networks/default.xml
    ln -s ../default.xml %{_sysconfdir}/libvirt/qemu/networks/autostart/default.xml
fi
%endif

/sbin/chkconfig --add libvirtd
%endif

%preun
%if %{with_libvirtd}
if [ $1 = 0 ]; then
    /sbin/service libvirtd stop 1>/dev/null 2>&1
    /sbin/chkconfig --del libvirtd
fi
%endif

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS ChangeLog NEWS README COPYING.LIB TODO
%{_mandir}/man1/virsh.1*
%{_mandir}/man1/virt-xml-validate.1*
%{_bindir}/virsh
%{_bindir}/virt-xml-validate
%{_libdir}/lib*.so.*
%dir %attr(0700, root, root) %{_sysconfdir}/libvirt/

%if %{with_qemu}
%dir %attr(0700, root, root) %{_sysconfdir}/libvirt/qemu/
%dir %attr(0700, root, root) %{_sysconfdir}/libvirt/qemu/networks/
%dir %attr(0700, root, root) %{_sysconfdir}/libvirt/qemu/networks/autostart
%endif

%if %{with_libvirtd}
%{_sysconfdir}/rc.d/init.d/libvirtd
%config(noreplace) %{_sysconfdir}/sysconfig/libvirtd
%config(noreplace) %{_sysconfdir}/libvirt/libvirtd.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/libvirtd
%endif

%if %{with_qemu}
%config(noreplace) %{_sysconfdir}/libvirt/qemu.conf
%endif

%if %{with_sasl}
%config(noreplace) %{_sysconfdir}/sasl2/libvirt.conf
%endif

%if %{with_qemu}
%dir %{_datadir}/libvirt/
%dir %{_datadir}/libvirt/networks/
%{_datadir}/libvirt/networks/default.xml
%endif

%dir %{_datadir}/libvirt/
%dir %{_datadir}/libvirt/schemas/

%{_datadir}/libvirt/schemas/domain.rng
%{_datadir}/libvirt/schemas/network.rng
%{_datadir}/libvirt/schemas/storagepool.rng
%{_datadir}/libvirt/schemas/storagevol.rng
%{_datadir}/libvirt/schemas/nodedev.rng
%{_datadir}/libvirt/schemas/capability.rng

%dir %{_localstatedir}/run/libvirt/

%dir %{_localstatedir}/lib/libvirt/
%dir %attr(0700, root, root) %{_localstatedir}/lib/libvirt/images/
%dir %attr(0700, root, root) %{_localstatedir}/lib/libvirt/boot/
%dir %attr(0700, root, root) %{_localstatedir}/cache/libvirt/

%if %{with_qemu}
%dir %{_localstatedir}/run/libvirt/qemu/
%dir %attr(0700, root, root) %{_localstatedir}/lib/libvirt/qemu/
%endif
%if %{with_lxc}
%dir %{_localstatedir}/run/libvirt/lxc/
%dir %attr(0700, root, root) %{_localstatedir}/lib/libvirt/lxc/
%endif
%if %{with_uml}
%dir %{_localstatedir}/run/libvirt/uml/
%dir %attr(0700, root, root) %{_localstatedir}/lib/libvirt/uml/
%endif
%if %{with_network}
%dir %{_localstatedir}/run/libvirt/network/
%dir %attr(0700, root, root) %{_localstatedir}/lib/libvirt/network/
%dir %attr(0700, root, root) %{_localstatedir}/lib/libvirt/iptables/
%dir %attr(0700, root, root) %{_localstatedir}/lib/libvirt/iptables/filter/
%dir %attr(0700, root, root) %{_localstatedir}/lib/libvirt/iptables/nat/
%endif

%dir %attr(0700, root, root) %{_datadir}/augeas
%dir %attr(0700, root, root) %{_datadir}/augeas/lenses
%dir %attr(0700, root, root) %{_datadir}/augeas/lenses/tests

%if %{with_qemu}
%{_datadir}/augeas/lenses/libvirtd_qemu.aug
%{_datadir}/augeas/lenses/tests/test_libvirtd_qemu.aug
%endif

%if %{with_libvirtd}
%{_datadir}/augeas/lenses/libvirtd.aug
%{_datadir}/augeas/lenses/tests/test_libvirtd.aug
%endif

%if %{with_polkit}
%{_datadir}/PolicyKit/policy/org.libvirt.unix.policy
%endif

%dir %attr(0700, root, root) %{_localstatedir}/log/libvirt/
%if %{with_qemu}
%dir %attr(0700, root, root) %{_localstatedir}/log/libvirt/qemu/
%endif

%if %{with_xen_proxy}
%attr(4755, root, root) %{_libexecdir}/libvirt_proxy
%endif

%if %{with_lxc}
%attr(0755, root, root) %{_libexecdir}/libvirt_lxc
%endif

%if %{with_libvirtd}
%attr(0755, root, root) %{_libexecdir}/libvirt_parthelper
%attr(0755, root, root) %{_sbindir}/libvirtd
%endif

%doc docs/*.xml

%files devel
%defattr(-, root, root)

%{_libdir}/lib*.so
%dir %{_includedir}/libvirt
%{_includedir}/libvirt/*.h
%{_libdir}/pkgconfig/libvirt.pc
%dir %{_datadir}/gtk-doc/html/libvirt
%doc %{_datadir}/gtk-doc/html/libvirt/*.devhelp
%doc %{_datadir}/gtk-doc/html/libvirt/*.html
%doc %{_datadir}/gtk-doc/html/libvirt/*.png
%doc %{_datadir}/gtk-doc/html/libvirt/*.css

%doc docs/*.html docs/html docs/*.gif
%doc docs/examples
%doc docs/libvirt-api.xml
%doc examples

%if %{with_python}
%files python
%defattr(-, root, root)

%doc AUTHORS NEWS README COPYING.LIB
%{_libdir}/python*/site-packages/libvirt.py*
%{_libdir}/python*/site-packages/libvirtmod*
%doc python/tests/*.py
%doc python/TODO
%doc python/libvirtclass.txt
%doc docs/examples/python
%endif

%changelog
* Mon Jun  7 2010 Jiri Denemark <jdenemar@redhat.com> - 0.6.3-33.el5_5.1
- Set CPU affinity across whole QEMU process (rhbz 599570)

* Wed Mar  3 2010 Jiri Denemark <jdenemar@redhat.com> - 0.6.3-33.el5
- Conflict with kvm release older than kvm-83-142.el5 (rhbz 569372)
- Call fsync() at the end instead of opening raw files with O_DSYNC (rhbz 563151)

* Wed Feb 10 2010 Jiri Denemark <jdenemar@redhat.com> - 0.6.3-32.el5
- Make numa errors non-fatal (rhbz 559755)
- Create raw storage files with O_DSYNC (rhbz 563151)
- Increase qemu guest startup timeout to 30 seconds (rhbz 563151)

* Thu Jan 28 2010 Jiri Denemark <jdenemar@redhat.com> - 0.6.3-31.el5
- Fix ACS with root devices (rhbz 526713)
- Fix PCI device re-assignment (rhbz 500217)
- Fix a race between KVM and libvirt (rhbz 500217)
- Fix state bug in libvirtd (rhbz 500217)
- Set machine type to "rhel5.4.0" by default (rhbz 542665)
- Correct erroneous expression in pciDeviceDownstreamLacksACS (rhbz 526713)

* Thu Jan 14 2010 Daniel Veillard <veillard@redhat.com> - 0.6.3-30.el5
- fix crash in xenUnifiedNodeDeviceReset
- Resolves: rhbz#555309
- avoid spurious errors on npiv device creation
- Resolves: rhbz#514324

* Wed Jan  6 2010 Daniel Veillard <veillard@redhat.com> - 0.6.3-29.el5
- fix a problem with memory allocation when using huge pages
- Resolves: rhbz#518099

* Wed Dec 23 2009 Daniel Veillard <veillard@redhat.com> - 0.6.3-28.el5
- volume create failure can lead to daemon crash
- Resolves: rhbz#510450

* Tue Dec 22 2009 Daniel Veillard <veillard@redhat.com> - 0.6.3-27.el5
- block assignment of devices below non-ACS switch
- Resolves: rhbz#526713

* Tue Dec 22 2009 Daniel Veillard <veillard@redhat.com> - 0.6.3-26.el5
- avoid some unknown failure error reports
- Resolves: rhbz#531729
- avoid "error: unknown procedure" when querying older libvirt
- Resolves: rhbz#531735
- remove limit on number of tap devices and guest
- Resolves: rhbz#519729
- avoid crashes when having concurrent TLS connections
- Resolves: rhbz#512367

* Tue Dec 15 2009 Daniel Veillard <veillard@redhat.com> - 0.6.3-25.el5
- fix python binding generator to avoid clashes in method names
- Resolves: rhbz#510427
- nodedev-destroy can hang libvirtd
- Resolves: rhbz#510430
- avoid spurious errors on npiv device creation
- Resolves: rhbz#514324
- node device APIs should expose the relationship between SR-IOV VFs and PFs
- Resolves: rhbz#481748
- implement --pool option for virsh vol-path
- Resolves: rhbz#509306
- cannot delete storage pool problem
- Resolves: rhbz#496579
- Can not hotplug vtd device to Xen guest
- Resolves: rhbz#546671
- Inactive KVM guest memory reporting via 'info' is strange
- Resolves: rhbz#508266
- command 'virsh nodedev-create' fails with out of memory error
- Resolves: rhbz#510426
- Command 'virsh find-storage-pool-sources' failure unknown error
- Resolves: rhbz#509979

* Thu Dec 10 2009 Daniel Veillard <veillard@redhat.com> - 0.6.3-24.el5
- guest host present two NIC with duplicate MAC addresses, only one configured
- Resolves: rhbz#483884
- implement core dump API for QEMU driver
- Resolves: rhbz#507551
- reset a PCI function even if other unused devices/functions are reset
- Resolves: rhbz#500213
- avoid a crash with virsh vol-key volname
- Resolves: rhbz#509293

* Fri Dec  4 2009 Daniel Veillard <veillard@redhat.com> - 0.6.3-23.el5
- enable bridges even without IP assigend yet
- Resolves: rhbz#532834
- PCI device assigned need to be reattached to host on guest shutdown
- Resolves: rhbz#500217
- allow PCI PM reset on multi-function devices
- Resolves: rhbz#517460
- support for KVM PCI device assignment hotplug
- Resolves: rhbz#517465

* Wed Nov 25 2009 Daniel Veillard <veillard@redhat.com> - 0.6.3-22.el5
- xen driver need check for duplicate uuid
- Resolves: rhbz#504262
- xen credit scheduler doesn't handle cap value 65535
- Resolves: rhbz#504914
- domain XML dump broke with virt-xml-validate
- Resolves: rhbz#512069
- libvirt did not report vCPU usage properly
- Resolves: rhbz#514082
- virsh man page sugegsted operation were asynchronous
- Resolves: rhbz#514532
- add support for qemu hugepages control
- Resolves: rhbz#518099
- libvirt was reordering drives based on their type
- Resolves: rhbz#521053
- a typo in domain interface definitions could generate a segfault
- Resolves: rhbz#523418
- dnsmasq used to limit the number of DHCP leases to only 150
- Resolves: rhbz#524280

* Mon Aug 17 2009 Daniel Veillard <veillard@redhat.com> - 0.6.3-21.el5
- Add -no-kvm-pit-reinjection to kvm command line to keep guest time
- resolves: rhbz#517278

* Tue Aug  4 2009 Daniel Veillard <veillard@redhat.com> - 0.6.3-20.el5
- redefining a Xen domain could reset the domain id
- fix Xen inotify checking of /etc/xen and avoid vanishing domains
- resolves: rhbz#508278

* Tue Aug  4 2009 Daniel Veillard <veillard@redhat.com> - 0.6.3-18.el5
- fix FLR flag detection
- resolves: rhbz#514921

* Tue Jul 28 2009 Daniel Veillard <veillard@redhat.com> - 0.6.3-17.el5
- an error in pci definition could lead to a daemon crash
- resolves: rhbz#513317

* Wed Jul 22 2009 Daniel Veillard <veillard@redhat.com> - 0.6.3-16.el5
- fix for 502095 the qemu driver was using the old pci_add/del syntax
- resolves: rhbz#502095

* Wed Jul 15 2009 Daniel Veillard <veillard@redhat.com> - 0.6.3-15.el5
- fix for 506688 wasn't complete as remote access was still failing
- resolves: rhbz#506688

* Thu Jul  2 2009 Daniel Veillard <veillard@redhat.com> - 0.6.3-14.el5
- fix broken behavior on wrong pool creation
- Resolves: rhbz#496616
- fix hang of libvirt daemon on node device XML dump
- Resolves: rhbz#509261

* Wed Jul  1 2009 Daniel Veillard <veillard@redhat.com> - 0.6.3-13.el5
- fix a crash when getting wwns failed
- Resolves: rhbz#504285

* Fri Jun 26 2009 Daniel Veillard <veillard@redhat.com> - 0.6.3-12.el5
- fix bogus WWNs when HBA kernel modules are (re)loaded
- remove a small leak with SCSI node device conf
- Resolves: rhbz#496925

* Fri Jun 19 2009 Daniel Veillard <veillard@redhat.com> - 0.6.3-11.el5
- NPIV didn't work due to different paths in /sys for older kernels
- Resolves: rhbz#496925
- the domain info API would fail due to the absence of a security model
- Resolves: rhbz#506688

* Mon Jun 15 2009 Daniel Veillard <veillard@redhat.com> - 0.6.3-10.el5
- detaching Xen devices led to segfaults, another problem
- Resolves: rhbz#497051

* Fri Jun 12 2009 Daniel Veillard <veillard@redhat.com> - 0.6.3-9.el5
- fix segfaults on devices operations on Xen
- Resolves: rhbz#504285

* Wed Jun 10 2009 Daniel Veillard <veillard@redhat.com> - 0.6.3-8.el5
- the libexec patch wasn't working due to a remaining check in /usr/bin
- Resolves: rhbz#504046

* Wed Jun 10 2009 Daniel Veillard <veillard@redhat.com> - 0.6.3-7.el5
- remote driver using tls by default didn't work
- Resolves: rhbz#504775

* Fri Jun  5 2009 Daniel Veillard <veillard@redhat.com> - 0.6.3-6.el5
- look for kvm binary in libexec
- Resolves: rhbz#504046
- Fix build support for qcow2 on x86_64 due to missing binary at build time
- Resolves: rhbz#504119
- Take ownership of the %{_datadir}/augeas subtree
- Resolves: rhbz#481809

* Thu Jun  4 2009 Daniel Veillard <veillard@redhat.com> - 0.6.3-5.el5
- error in handling hostdev managed informations
- Resolves: rhbz#499577
- detaching Xen devices led to segfaults
- Resolves: rhbz#497051

* Wed Jun  3 2009 Daniel Veillard <veillard@redhat.com> - 0.6.3-4.el5
- implement NPIV node device create and destroy
- Resolves: rhbz#496925
- avoid daemon crash on TLS auth errors
- Resolves: rhbz#503178
- forbid to set autostart on transcient networks
- Resolves: rhbz#503481

* Thu May 14 2009 Daniel Veillard <veillard@redhat.com> - 0.6.3-3.el5
- Fix serious event handling bug possibly killing random domains
- Resolves: rhbz#500158
- XML attribute escaping fix
- Handle recent QEmu help output
- Hash destructors should use unref not free
- Fix some name and uuid uniqueness checks
- Fix save/restore/migrate for qemu >= 0.10.0
- Fix QEmu capabilities refresh
- Extra check in pid file access routines
- Related: rhbz#475821

* Tue Apr 28 2009 Daniel Veillard <veillard@redhat.com> - 0.6.3-2.el5
- Fix missing ownership of /usr/share/gtk-doc/html/libvirt from spec file
- Resolves: rhbz#481809
- Related: rhbz#475821

* Fri Apr 24 2009 Daniel Veillard <veillard@redhat.com> - 0.6.3-1.el5
- Upstream release 0.6.3
- various bug fixes
- a couple of packaging fixes including #496867
- Related: rhbz#475821

* Mon Apr  6 2009 Daniel Veillard <veillard@redhat.com> - 0.6.2-1.el5
- Upstream release 0.6.2
- numerous bug fixes
- SCSI storage pool support
- Related: rhbz#475821

* Mon Mar 16 2009 Daniel Veillard <veillard@redhat.com> - 0.6.1-4.el5
- another serious fd leak fix for 0.6.1
- Related: rhbz#475821

* Mon Mar 16 2009 Daniel Veillard <veillard@redhat.com> - 0.6.1-3.el5
- 8 more bug fixes against 0.6.1
- Related: rhbz#475821

* Wed Mar 11 2009 Daniel Veillard <veillard@redhat.com> - 0.6.1-2.el5
- fixes a couple of Xen bugs in 0.6.1
- Related: rhbz#475821

* Thu Mar  5 2009 Daniel Veillard <veillard@redhat.com> - 0.6.1-1.el5
- Rebase to upstream release 0.6.1
- Resolves: rhbz#475821

* Wed Feb 18 2009 Daniel P. Berrange <berrange@redhat.com> - 0.3.3-15.el5
- Add missing readonly checks for APIs (CVE-2008-5086)
- Add missing buf check in proxy daemon (CVE-2009-0036)

* Fri Sep 19 2008 Richard W.M. Jones <rjones@redhat.com> - 0.3.3-14.el5
- add patch to keep VNC port number same as defined at installation
- Resolves: rhbz#442140

* Tue Sep 16 2008 Chris Lalancette <clalance@redhat.com> - 0.3.3-13.el5
- add patch to allow block statistics to see expanded Xen PV devices
- Resolves: rhbz#458968

* Tue Aug 26 2008 Daniel Veillard <veillard@redhat.com> - 0.3.3-12.el5
- add requires to xen-devel for the -devel package
- Resolves: rhbz#460138

* Wed Jul  9 2008 Daniel Veillard <veillard@redhat.com> - 0.3.3-11.el5
- add a Requires to nc
- Resolves: rhbz#450556

* Fri Jul  4 2008 Daniel Veillard <veillard@redhat.com> - 0.3.3-10.el5
- order of interface bug fix
- Resolves: rhbz#442730

* Thu Jun 19 2008 Daniel Veillard <veillard@redhat.com> - 0.3.3-9.el5
- man page fix
- Resolves: rhbz#442429
- allow to change a Disk/Nic of inactive domain
- Resolves: rhbz#251640
- XML string escaping in xm driver
- Resolves: rhbz#428879

* Wed Jun 18 2008 Daniel Veillard <veillard@redhat.com> - 0.3.3-8.el5
- man page fix
- Resolves: rhbz#442429
- removal of extra_release macro
- Resolves: rhbz#436803
- allow to change a Disk/Nic of inactive domain
- Resolves: rhbz#251640
- fix a hash table bug
- Resolves: rhbz#448533

* Tue Apr  1 2008 Daniel P. Berrange <berrange@redhat.com> - 0.3.3-7.el5
- Fix USB input device XML handling (rhbz #225391)

* Wed Mar 19 2008 Daniel P. Berrange <berrange@redhat.com> - 0.3.3-6.el5
- Fix off-by-on in SSH tunnel args checking (rhbz #431723)

* Wed Jan 23 2008 Daniel Veillard <veillard@redhat.com> - 0.3.3-5.el5
- fix network Paravirt drivers on HVM
- clarify documentation for virsh setcpus and setmem commands
- Resolves: rhbz#429301
- Resolves: rhbz#429186

* Thu Jan 10 2008 Daniel Veillard <veillard@redhat.com> - 0.3.3-4.el5
- one more patch to fix VCPU pinning
- Resolves: rhbz#223833

* Wed Jan  9 2008 Daniel Veillard <veillard@redhat.com> - 0.3.3-3.el5
- add patch to fix NUMA compatibility problem with backport to xen-3.0.3
- re-add a RHEL specific patch for PVFB on 3.0.3
- renamed the second disk ID patch
- Resolves: rhbz#426324

* Tue Dec 18 2007 Daniel Veillard <veillard@redhat.com> - 0.3.3-2.el5
- add 3 patches fixing NUMA disk detach for tap devices, setting cpu
  parameter on inactive domains and an escaping bug
- Resolves: rhbz#251641
- Resolves: rhbz#346281

* Sun Sep 30 2007 Daniel Veillard <veillard@redhat.com> - 0.3.3-1.el5
- Update to 0.3.3
- Avahi support
- NUMA support
- APIs for collecting statistics on disks and interfaces
- API for domains migration
- localtime clock support
- PS/2 and USB input devices
- Secure remote access support
- unification of daemons
- lots of assorted improvements, bugfixes and cleanups
- documentation and localization improvements
- Resolves: rhbz#223833
- Resolves: rhbz#235851
- Resolves: rhbz#251641
- Resolves: rhbz#251706
- Resolves: rhbz#253494
- Resolves: rhbz#254051
- Resolves: rhbz#273421
- Resolves: rhbz#306931
- Resolves: rhbz#328841
- Resolves: rhbz#346281

* Tue Aug 28 2007 Daniel Veillard <veillard@redhat.com> - 0.2.3-9.el5
- patch to fix the pvfb vncdisplay port in XML dumps
- Resolves: rhbz #254188
- Related: rhbz #250789

* Fri Aug 17 2007 Hugh O. Brock <hbrock@redhat.com> - 0.2.3-8.el5
- Overhaul man page to accurately reflect the available commands
- Resolves: rhbz #253013

* Tue Aug 14 2007 Daniel Veillard <veillard@redhat.com> - 0.2.3-7.el5
- Fix UUID lookup though proxy (i.e. as user)
- Resolves: rhbg#224415

* Mon Aug 13 2007 Daniel Veillard <veillard@redhat.com> - 0.2.3-6.el5
- Fix handling of PVFB configurations
- Resolves: rhbg#250789
- Fix config file when using virtual network
- Resolves: rhbg#251594

* Tue Jul 31 2007 Daniel Veillard <veillard@redhat.com> - 0.2.3-5.el5
- Fix a leak when closing a connection
- Resolves: rhbg#250146

* Wed Jun 27 2007 Daniel Berrange <berrange@redhat.com> - 0.2.3-4.el5
- Re-add multilib fix from 0.1.8-14.el5 accidentally lost in 0.2.3-1.el5
- Related: rhbz#243463

* Tue Jun 19 2007 Daniel Veillard <veillard@redhat.com> 0.2.3-3.el5
- add new, more convenient commands for device attach and detach in virsh
- Resolves: rhbz#234840

* Tue Jun 19 2007 Daniel Veillard <veillard@redhat.com> 0.2.3-2.el5
- add Requires: dnsmasq
- Resolves: rhbz#244247

* Thu Jun 14 2007 Daniel Veillard <veillard@redhat.com> 0.2.3-1.el5
- Upgrade to version 0.2.3 for RHEL-5.1
- Resolves: rhbz#243463
- Resolves: rhbz#222704
- Resolves: rhbz#224415
- Resolves: rhbz#225566
- Resolves: rhbz#225567
- Resolves: rhbz#229176
- Note: 0.2.3 is really supposed to work with dnsmask which is not 
  available at the moment in RHEL-5

* Thu Jan 25 2007 Daniel Berrange <berrange@redhat.com> 0.1.8-15.el5
- re-do the localization patch, so that we don't have to run
  'make update-po', and thus avoid multilib conflicts
- Resolves: rhbz#224446

* Thu Jan 25 2007 Daniel Berrange <berrange@redhat.com> 0.1.8-14.el5
- further fix for parallel installation problem of -devel on i386 and x86_64
- Resolves: rhbz#222730

* Thu Jan 18 2007 Daniel Veillard <veillard@redhat.com> 0.1.8-13.el5
- last update of localization for RHEL languages
- Resolves: rhbz#203726 	

* Thu Dec 21 2006 Daniel Veillard <veillard@redhat.com> 0.1.8-12.el5
- fix a parallel installation problem of -devel on i386 and x86_64
- Resolves: rhbz#222730

* Thu Dec 21 2006 Daniel Veillard <veillard@redhat.com> 0.1.8-11.el5
- updates localization for RHEL languages
- Related: rhbz#203726 	

* Wed Dec 13 2006 Daniel Veillard <veillard@redhat.com> 0.1.8-10.el5
- fix the maxid array overflow when listing domains, rhbz#218789
- Resolves: rhbz#218789

* Wed Dec 13 2006 Daniel Veillard <veillard@redhat.com> 0.1.8-9.el5
- Add the two pvfb patches, rhbz#218486
- Resolves: rhbz#218486

* Thu Dec  7 2006 Daniel Veillard <veillard@redhat.com> 0.1.8-8.el5
- fix a structure error when asking the hypervisor for vcpu info, rhbz#217743
  and rhbz#217370
- Resolves: rhbz#217370 rhbz#217743

* Thu Dec  7 2006 Daniel Veillard <veillard@redhat.com> 0.1.8-7.el5
- release python global interpreter lock when calling libvirt, rhbz#210140
- return correct os type version for HVM guests when running as non-root, 
  rhbz#214264
- Resolves: rhbz#210140 rhbz#214264

* Thu Dec  7 2006 Daniel Veillard <veillard@redhat.com> 0.1.8-6.el5
- save the amount of current memory used when dumping XML if different from
  maximum amount, and use that when restarting the domain from the XML,
  rhbz#214354
- when using a pygrub bootloader, strip the os informations because xend
  assumes they take precedence over bootloader, rhbz#214741
- Resolves: rhbz#214354 rhbz#214741

* Thu Dec  7 2006 Daniel Veillard <veillard@redhat.com> 0.1.8-5.el5
- patch adding a domain core dump entry point to the library, it requires
  xen >= 3_0_3-13_el5 to get the xend server side support
- Resolves: rhbz#214913

* Mon Dec  4 2006 Daniel Veillard <veillard@redhat.com> 0.1.8-4.el5
- add localization updates for RHEL languages
- Resolves: rhbz#203726 	

* Mon Dec  4 2006 Daniel Veillard <veillard@redhat.com> 0.1.8-3.el5
- add support for shareable disks
- Resolves: rhbz#214908

* Tue Oct 31 2006 Daniel Veillard <veillard@redhat.com> 0.1.8-2.el5
- avoid Xend 404 GET error message when listing non-existent domain
- Resolves: rhbz#207166

* Mon Oct 16 2006 Daniel Veillard <veillard@redhat.com> 0.1.8-1.el5
- another ia64 page size fix
- vcpu number initialization
- don't label crashed domains as shut off
- fix virsh man page
- compile fix

* Sat Oct  7 2006 Daniel P. Berrange <berrange@redhat.com> 0.1.7-3.el5
- add new <driver> element to support blktap backed disks

* Mon Oct  2 2006 Daniel Veillard <veillard@redhat.com> 0.1.7-2
- fix missing page size detection code for ia64
- fix mlock size when getting domain info list from hypervisor

* Fri Sep 22 2006 Daniel Veillard <veillard@redhat.com> 0.1.7-1
- Fix bug when running against xen-3.0.3 hypercalls
- Fix memory bug when getting vcpus info from xend

* Fri Sep 22 2006 Daniel Veillard <veillard@redhat.com> 0.1.6-1
- Support for localization
- Support for new Xen-3.0.3 cdrom and disk configuration
- Support for setting VNC port
- Fix bug when running against xen-3.0.2 hypercalls
- Fix reconnection problem when talking directly to http xend

* Tue Sep  5 2006 Jeremy Katz <katzj@redhat.com> - 0.1.5-3
- patch from danpb to support new-format cd devices for HVM guests

* Tue Sep  5 2006 Daniel Veillard <veillard@redhat.com> 0.1.5-2
- reactivating ia64 support

* Tue Sep  5 2006 Daniel Veillard <veillard@redhat.com> 0.1.5-1
- new release
- bug fixes
- support for new hypervisor calls
- early code for config files and defined domains

* Mon Sep  4 2006 Daniel Berrange <berrange@redhat.com> - 0.1.4-5
- add patch to address dom0_ops API breakage in Xen 3.0.3 tree

* Mon Aug 28 2006 Jeremy Katz <katzj@redhat.com> - 0.1.4-4
- add patch to support paravirt framebuffer in Xen 

* Mon Aug 21 2006 Daniel Veillard <veillard@redhat.com> 0.1.4-3
- another patch to fix network handling in non-HVM guests

* Thu Aug 17 2006 Daniel Veillard <veillard@redhat.com> 0.1.4-2
- patch to fix virParseUUID()

* Wed Aug 16 2006 Daniel Veillard <veillard@redhat.com> 0.1.4-1
- vCPUs and affinity support
- more complete XML, console and boot options
- specific features support
- enforced read-only connections
- various improvements, bug fixes

* Wed Aug  2 2006 Jeremy Katz <katzj@redhat.com> - 0.1.3-6
- add patch from pvetere to allow getting uuid from libvirt

* Wed Aug  2 2006 Jeremy Katz <katzj@redhat.com> - 0.1.3-5
- build on ia64 now

* Thu Jul 27 2006 Jeremy Katz <katzj@redhat.com> - 0.1.3-4
- don't BR xen, we just need xen-devel

* Thu Jul 27 2006 Daniel Veillard <veillard@redhat.com> 0.1.3-3
- need rebuild since libxenstore is now versionned

* Mon Jul 24 2006 Mark McLoughlin <markmc@redhat.com> - 0.1.3-2
- Add BuildRequires: xen-devel

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.1.3-1.1
- rebuild

* Tue Jul 11 2006 Daniel Veillard <veillard@redhat.com> 0.1.3-1
- support for HVM Xen guests
- various bugfixes

* Mon Jul  3 2006 Daniel Veillard <veillard@redhat.com> 0.1.2-1
- added a proxy mechanism for read only access using httpu
- fixed header includes paths

* Wed Jun 21 2006 Daniel Veillard <veillard@redhat.com> 0.1.1-1
- extend and cleanup the driver infrastructure and code
- python examples
- extend uuid support
- bug fixes, buffer handling cleanups
- support for new Xen hypervisor API
- test driver for unit testing
- virsh --conect argument

* Mon Apr 10 2006 Daniel Veillard <veillard@redhat.com> 0.1.0-1
- various fixes
- new APIs: for Node information and Reboot
- virsh improvements and extensions
- documentation updates and man page
- enhancement and fixes of the XML description format

* Tue Feb 28 2006 Daniel Veillard <veillard@redhat.com> 0.0.6-1
- added error handling APIs
- small bug fixes
- improve python bindings
- augment documentation and regression tests

* Thu Feb 23 2006 Daniel Veillard <veillard@redhat.com> 0.0.5-1
- new domain creation API
- new UUID based APIs
- more tests, documentation, devhelp
- bug fixes

* Fri Feb 10 2006 Daniel Veillard <veillard@redhat.com> 0.0.4-1
- fixes some problems in 0.0.3 due to the change of names

* Wed Feb  8 2006 Daniel Veillard <veillard@redhat.com> 0.0.3-1
- changed library name to libvirt from libvir, complete and test the python 
  bindings

* Sun Jan 29 2006 Daniel Veillard <veillard@redhat.com> 0.0.2-1
- upstream release of 0.0.2, use xend, save and restore added, python bindings
  fixed

* Wed Nov  2 2005 Daniel Veillard <veillard@redhat.com> 0.0.1-1
- created
